Bug 58715 - [REPOCOPY] port MailScanner / new version
Summary: [REPOCOPY] port MailScanner / new version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-30 09:40 UTC by Jan-Peter Koopmann
Modified: 2003-12-16 14:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Peter Koopmann 2003-10-30 09:40:14 UTC
        New version of port /usr/ports/mail/mailscanner

Fix: 

Please download the new port at http://www.seceidos.de/downloads/freebsd/ports/mailscanner-4.24.5_1.tgz
	and submit it to the ports-tree.

	Thanks,
 	   Jan-Peter
How-To-Repeat:         Download the new port! :-)
Comment 1 Sergei Kolobov freebsd_committer 2003-11-12 11:48:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

I will work with the submitter.
Comment 2 Sergei Kolobov freebsd_committer 2003-11-12 12:00:54 UTC
Jan-Peter,

On 2003-10-30 at 10:30 +0100, Jan-Peter Koopmann wrote:
>       Please download the new port at
>       http://www.seceidos.de/downloads/freebsd/ports/mailscanner-4.24.5_1.tgz
>       and submit it to the ports-tree.

When updating an existing port, please submit an update in a form of
diff against the original version, preferrably in unified format (diff -ruN).
I suggest using devel/porttools port to simplify this process.

In addition to that, please make sure that the portlint(1) does not give
any fatal errors and fix any warnings if possible. I recommend running
portlint with -abct parameters. NOTE: porttools automate that, too. ;)

Please let me know if you need any help.

Sergei
Comment 3 Sergei Kolobov freebsd_committer 2003-11-15 23:05:17 UTC
State Changed
From-To: open->feedback

Submitter will provide an updated version of the patch.
Comment 4 Sergei Kolobov freebsd_committer 2003-11-20 22:10:47 UTC
State Changed
From-To: feedback->patched

Update committed. 
Now waiting for repo-copy to rename the port to MailScanner.
Comment 5 Jan-Peter.Koopmann 2003-11-23 11:41:48 UTC
I am afraid the same error as in MailScanner-devel here as well. Here is
the diff against the 4.24.5 version:


diff -ruN --exclude=3DCVS
/server-root/ports/mail/MailScanner.orig/Makefile
/server-root/ports/mail/MailScanner/Makefile
--- /server-root/ports/mail/MailScanner.orig/Makefile	Sun Nov 23
12:37:23 2003
+++ /server-root/ports/mail/MailScanner/Makefile	Sun Nov 23
12:37:46 2003
@@ -7,6 +7,7 @@
=20
 PORTNAME=3D	MailScanner
 PORTVERSION=3D	4.24.5
+PORTREVISION=3D	1
 CATEGORIES=3D	mail
 MASTER_SITES=3D	http://www.sng.ecs.soton.ac.uk/mailscanner/files/4/tar/
 DISTNAME=3D	MailScanner-4.24-5
@@ -65,7 +66,7 @@
=20
's,/opt/MailScanner/lib,'${PREFIX}'/libexec/MailScanner,g; \
 		s,/bin/false,/usr/bin/false,;'
${WRKSRC}/etc/virus.scanners.conf
 	${PERL} -pi -e \
-		's,/bin/bash,'${PREFIX}'/bash,g; \
+		's,/bin/bash,'${PREFIX}'/bin/bash,g; \
 		s,/opt/MailScanner/etc,'${PREFIX}'/etc/MailScanner,g;' \
 		${WRKSRC}/bin/update_virus_scanners
 	${PERL} -pi -e \
Comment 6 Sergei Kolobov freebsd_committer 2003-12-16 14:26:11 UTC
State Changed
From-To: patched->closed

Repo-copy has been made.